<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<#if sysrun.getRunMode() == "STARTMSAPI">
<#assign depapi = sysrun.getPSDevSlnMSDepAPI()>
<#assign config = "api"+depapi.getName()>
<#assign configId = depapi.getId()>
<#assign depnode = sysrun.getPSDevSlnMSDepAPI().getPSDCMSPlatformNode()>
<#elseif sysrun.getRunMode() == "STARTMSAPP">
<#assign depapp = sysrun.getPSDevSlnMSDepApp()>
<#assign config = "app"+depapp.getName()>
<#assign configId = depapp.getId()>
<#assign depnode = sysrun.getPSDevSlnMSDepApp().getPSDCMSPlatformNode()>
</#if>
<#if sys.getPSSVNInstRepo().getGitBranch()?? && sys.getPSSVNInstRepo().getGitBranch()!="">
      <#assign branch=sys.getPSSVNInstRepo().getGitBranch()>
    <#else>
      <#assign branch='master'>
</#if>
<?xml version='1.1' encoding='UTF-8'?>
<project>
  <actions/>
  <description>${configId}</description>
  <keepDependencies>false</keepDependencies>
  <properties>
    <com.gitee.jenkins.connection.GiteeConnectionProperty plugin="gitee@1.1.3">
      <giteeConnection></giteeConnection>
    </com.gitee.jenkins.connection.GiteeConnectionProperty>
  </properties>
  <scm class="hudson.scm.NullSCM"/>
  <canRoam>true</canRoam>
  <disabled>false</disabled>
  <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
  <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
  <triggers/>
  <concurrentBuild>false</concurrentBuild>
  <builders>
    <hudson.tasks.Shell>
      <command>
rm -rf ${pub.codeName}
git clone -b ${branch} ${sys.getPSSVNInstRepo().getGitPath()} ${pub.codeName}
cd ${pub.codeName} 
chmod -R 777 *
<#if pub.getPSApplication()?? && (sysrun.getRunMode() == "STARTMSAPP")>
if [ -f ./app_${pub.getPSApplication().getPKGCodeName()}/ibizbuild.sh ]
  then		  
    ./app_${pub.getPSApplication().getPKGCodeName()}/ibizbuild.sh
fi
\cp -rf ./app_${pub.getPSApplication().getPKGCodeName()}/src/main/webapp/${pub.getPSApplication().getPKGCodeName()?lower_case} ./springboot_${pub.codeName}/src/main/webapp/
</#if>
<#if sysrun.isRebuildMode()??>
mvn clean -f ./pom.xml
</#if>
mvn install -Dmaven.test.skip=true -f ./pom.xml
echo &apos;echo &quot;${depnode.getSSHPassword()}&quot;&apos; &gt; apppasswd.sh
chmod -R 777 *
setsid env SSH_ASKPASS=&apos;./apppasswd.sh&apos; DISPLAY=&apos;none:0&apos; ssh ${depnode.getSSHUserName()}@${depnode.getSSHIPAddr()} &quot;mkdir -p ${depnode.getWorkshopPath()}/${configId}&quot;
setsid env SSH_ASKPASS=&apos;./apppasswd.sh&apos; DISPLAY=&apos;none:0&apos; scp -r ./${pub.codeName}.jar ${depnode.getSSHUserName()}@${depnode.getSSHIPAddr()}:${depnode.getWorkshopPath()}/${configId}
setsid env SSH_ASKPASS=&apos;./apppasswd.sh&apos; DISPLAY=&apos;none:0&apos; ssh ${depnode.getSSHUserName()}@${depnode.getSSHIPAddr()} &quot;ps -ef | grep &apos;${depnode.getWorkshopPath()}/${configId}&apos;| tr -s &apos; &apos;|cut -d&apos; &apos; -f2,8,9  | grep -v grep | grep &apos;jar&apos; | cut -d&apos; &apos; -f1|xargs  --no-run-if-empty kill -9&quot;
setsid env SSH_ASKPASS=&apos;./apppasswd.sh&apos; DISPLAY=&apos;none:0&apos; ssh ${depnode.getSSHUserName()}@${depnode.getSSHIPAddr()} &quot;source /etc/profile;source ~/.bash_profile; nohup java -jar ${depnode.getWorkshopPath()}/${configId}/${pub.codeName}.jar  --spring.profiles.active=${config?lower_case} &gt;&gt;${depnode.getWorkshopPath()}/${configId}/${pub.codeName}-`date --date=&apos;0 days ago&apos; +%Y-%m-%d`.log 2&gt;&amp;1 &amp;&quot;</command>
    </hudson.tasks.Shell>
  </builders>
  <publishers>
    <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup@0.34">
      <patterns class="empty-list"/>
      <deleteDirs>false</deleteDirs>
      <skipWhenFailed>false</skipWhenFailed>
      <cleanWhenSuccess>true</cleanWhenSuccess>
      <cleanWhenUnstable>true</cleanWhenUnstable>
      <cleanWhenFailure>true</cleanWhenFailure>
      <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
      <cleanWhenAborted>true</cleanWhenAborted>
      <notFailBuild>false</notFailBuild>
      <cleanupMatrixParent>false</cleanupMatrixParent>
      <externalDelete></externalDelete>
    </hudson.plugins.ws__cleanup.WsCleanup>
  </publishers>
  <buildWrappers/>
</project>