<#ibiztemplate>
FILENAME=pom.xml
PUBOBJ=WebAppConfig
</#ibiztemplate>
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>


	<artifactId>springboot_${pub.codeName}</artifactId>
	<packaging>jar</packaging>

	<name>springboot_${pub.codeName}</name>
	<description>Main for Spring Boot</description>

	<parent>
		<groupId>${pub.getPKGCodeName()}</groupId>
		<artifactId>${pub.codeName}</artifactId>
		<version>0.0.1-SNAPSHOT</version>
	</parent>

	<dependencies>

		

<dependency>
			<groupId>${pub.getPKGCodeName()}</groupId>
			<artifactId>srv_${pub.codeName}</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>

	</dependencies>

	<#assign mspkg = pub.getPKGCodeName()>
	<#if sysrun.getRunMode() == "STARTMSAPI">
		<#assign api= sysrun.getPSDevSlnMSDepAPI().getPSSysServiceAPI()>
		<#assign mspkg = mspkg+".ms.springboot.api."+api.getCodeName()>
		<#assign msmain = api.getCodeName()+"Main">
	<#elseif sysrun.getRunMode() == "STARTMSAPP">
		<#assign app = sysrun.getPSDevSlnMSDepApp().getPSApplication()>
		<#assign mspkg = mspkg+".ms.springboot.app."+app.getPKGCodeName()>
		<#assign msmain = app.getPKGCodeName()+"Main">
	</#if>

	<build>

		<resources>
			<resource>
				<directory>${r'${basedir}'}/src/main/webapp</directory>
				<!--注意此次必须要放在此目录下才能被访问到 -->
				<targetPath>META-INF/resources</targetPath>
				<includes>
					<include>**/**</include>
				</includes>
			</resource>
			<resource>
				<directory>${r'${basedir}'}/src/main/resources</directory>
				<includes>
					<include>**/**</include>
				</includes>
			</resource>
		</resources>

		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<finalName>${pub.codeName}</finalName>
					<jvmArguments>-Dfile.encoding=UTF-8</jvmArguments>
					<#if msmain??>
					<mainClass>${mspkg?lower_case}.${msmain}</mainClass>
					</#if>
					<outputDirectory>../</outputDirectory>
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>