<#ibiztemplate>
FILENAME=${item.codeName}Main.java
PUBOBJ=SysMSAPISpringBootMain
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
%ITEM%=${item.codeName?lower_case}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.ms.springboot.api.${item.codeName?lower_case};

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.cloud.openfeign.EnableFeignClients;
<#elseif ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>
import org.springframework.boot.web.support.SpringBootServletInitializer;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
</#if>
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.context.annotation.Configuration;

import net.ibizsys.paas.util.spring.AnnotationBeanNameGenerator;

@SpringBootApplication(exclude = {
<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>
	    org.springframework.boot.autoconfigure.security.oauth2.client.OAuth2ClientAutoConfiguration.class,
	    org.springframework.boot.autoconfigure.security.oauth2.OAuth2AutoConfiguration.class
<#elseif ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>
	    org.springframework.boot.autoconfigure.security.oauth2.OAuth2AutoConfiguration.class
</#if>
	})
@EnableEurekaClient
@Configuration
@ServletComponentScan
<#if sys.getAllPSSubSysServiceAPIs()??>
@EnableFeignClients(basePackages = {
<#list sys.getAllPSSubSysServiceAPIs() as sysServiceAPI>
<#if sysServiceAPI.getClassOrPkgName("PKG",pub)??>
"${sysServiceAPI.getClassOrPkgName("PKG",pub)}.srv.api",
<#else>
"${pub.getPKGCodeName()}.srv.api",
</#if>
</#list>
})
</#if>
@ComponentScans({
<#if sys.getAllPSSysServiceAPIs()??>
	@ComponentScan(basePackages = {"${pub.getPKGCodeName()}.api"},nameGenerator = AnnotationBeanNameGenerator.class),
</#if>	
	@ComponentScan(basePackages = {"${pub.getPKGCodeName()}.ms.springboot.api.${item.codeName?lower_case}"}),
<#list sys.getAllPSSysRefs() as psSubSys>
<#if (psSubSys.getSysRefType() == 'SUBSYS' )>
	@ComponentScan(basePackages = {"net.ibizsys.psrt.srv"},nameGenerator = AnnotationBeanNameGenerator.class),
<#else>
	@ComponentScan(basePackages = {"${psSubSys.getClassOrPkgName("PKG",pub)}.srv"},nameGenerator = AnnotationBeanNameGenerator.class),
</#if>
</#list>
	@ComponentScan(basePackages = {"${pub.getPKGCodeName()}.srv"},nameGenerator = AnnotationBeanNameGenerator.class)
})
public class ${item.codeName}Main extends SpringBootServletInitializer {

	public static void main(String[] args) {
		SpringApplicationBuilder builder = new SpringApplicationBuilder(${item.codeName}Main.class);
		builder.run(args);
	}

	
	
    
}