<#ibiztemplate>
FILENAME=${item.codeName}WebConf.java
PUBOBJ=SysMSAPISpringBootMain
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
%ITEM%=${item.codeName?lower_case}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.ms.springboot.api.${item.codeName?lower_case};

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Value;
<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>
import org.springframework.boot.web.server.ErrorPage;
import org.springframework.boot.web.server.ErrorPageRegistrar;
import org.springframework.boot.web.server.ErrorPageRegistry;
<#elseif ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>
import org.springframework.boot.web.servlet.ErrorPage;
import org.springframework.boot.web.servlet.ErrorPageRegistrar;
import org.springframework.boot.web.servlet.ErrorPageRegistry;
</#if>
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.boot.web.servlet.ServletListenerRegistrationBean;
import org.springframework.boot.web.servlet.ServletRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

@Configuration
public class ${item.codeName}WebConf {


	@Value("${r'${ibiz.authFilter:false}'}")
	String strAuthFilter;

	
	@Value("${r'${ibiz.filePath:/filePath/}'}")
	String strFilePath;

	@Value("${r'${ibiz.tempPath:/tempPath/}'}")
	String strTempPath;

	@Bean
	public FilterRegistrationBean iBizSysFilter() {
		FilterRegistrationBean registration = new FilterRegistrationBean(new net.ibizsys.paas.web.WebFilter());
		Map<String, String> params = new HashMap<String, String>();
		params.put("WEBCONTEXT", "${pub.getPKGCodeName()}.srv.web.WebContext");
		params.put("AUTHFILTER", strAuthFilter);
		params.put("AUTHPATH", "/ibizutil/uaclogin.do");
		params.put("FILEPATH", strFilePath);
		params.put("TEMPPATH", strTempPath);
		registration.setInitParameters(params);
		registration.setName("iBizSysFilter");
		registration.addUrlPatterns("/*");
		return registration;
	}

	@Bean
	public ServletRegistrationBean remoteLoginServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.RemoteLoginServlet());
		registration.setName("remoteLoginServlet");
		registration.addUrlMappings("/api/login");
		return registration;
	}

	@Component
	public class ErrorPageConfig implements ErrorPageRegistrar {

	    @Override
	    public void registerErrorPages(ErrorPageRegistry errorPageRegistry) {
	        ErrorPage e401= new ErrorPage(HttpStatus.UNAUTHORIZED, "/ibizutil/401.html");
	        ErrorPage e404 = new ErrorPage(HttpStatus.NOT_FOUND, "/ibizutil/404.html");
	        ErrorPage e500 = new ErrorPage(HttpStatus.INTERNAL_SERVER_ERROR, "/ibizutil/500.html");
	        errorPageRegistry.addErrorPages(e401, e404, e500);
	    }

	}
}