<#ibiztemplate>
FILENAME=${item.getPKGCodeName()}Main.java
PUBOBJ=SysMSAppSpringBootMain
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
%PKG%=${item.getPKGCodeName()?lower_case}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.ms.springboot.app.${item.getPKGCodeName()?lower_case};

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.cloud.openfeign.EnableFeignClients;
<#elseif ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>
import org.springframework.boot.web.support.SpringBootServletInitializer;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
</#if>
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.context.annotation.Configuration;

import net.ibizsys.paas.util.spring.AnnotationBeanNameGenerator;

<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>
@EnableWebSecurity
</#if>
@SpringBootApplication(exclude = {
<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>
 org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration.class,
	    org.springframework.boot.autoconfigure.security.oauth2.client.OAuth2ClientAutoConfiguration.class,
<#elseif ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>
 org.springframework.boot.autoconfigure.security.SecurityAutoConfiguration.class,
</#if>
	    org.springframework.boot.autoconfigure.security.oauth2.OAuth2AutoConfiguration.class<#if sys.hasPSWFEngineType("ACTIVITI")>,
	    org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration.class,
	    org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration.class</#if>
	})
@EnableEurekaClient
@Configuration
@ServletComponentScan
<#if sys.getAllPSSubSysServiceAPIs()??>
@EnableFeignClients(basePackages = {
<#list sys.getAllPSSubSysServiceAPIs() as sysServiceAPI>
<#if sysServiceAPI.getClassOrPkgName("PKG",pub)??>
"${sysServiceAPI.getClassOrPkgName("PKG",pub)}.srv.api",
<#else>
"${pub.getPKGCodeName()}.srv.api",
</#if>
</#list>
})
</#if>
@ComponentScans({
	@ComponentScan(basePackages = {"${pub.getPKGCodeName()}.${item.getPKGCodeName()?lower_case}", "${pub.getPKGCodeName()}.ms.springboot.app.${item.getPKGCodeName()?lower_case}"}),
<#list sys.getAllPSSysRefs() as psSubSys>
<#if (psSubSys.getSysRefType() == 'SUBSYS' )>
	@ComponentScan(basePackages = {"net.ibizsys.psrt.srv"},nameGenerator = AnnotationBeanNameGenerator.class),
<#else>
	@ComponentScan(basePackages = {"${psSubSys.getClassOrPkgName("PKG",pub)}.srv"},nameGenerator = AnnotationBeanNameGenerator.class),
</#if>
</#list>
	@ComponentScan(basePackages = {"${pub.getPKGCodeName()}.srv"},nameGenerator = AnnotationBeanNameGenerator.class)
})
public class ${item.getPKGCodeName()}Main extends SpringBootServletInitializer{
    // test
	public static void main(String[] args) {
		SpringApplicationBuilder builder = new SpringApplicationBuilder(${item.getPKGCodeName()}Main.class);
                builder.run(args) ;
	}

}
