<#ibiztemplate>
FILENAME=${item.getPKGCodeName()}WebConf.java
PUBOBJ=SysMSAppSpringBootMain
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
%PKG%=${item.getPKGCodeName()?lower_case}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.ms.springboot.app.${item.getPKGCodeName()?lower_case};

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Value;
<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>
import org.springframework.boot.web.server.ErrorPage;
import org.springframework.boot.web.server.ErrorPageRegistrar;
import org.springframework.boot.web.server.ErrorPageRegistry;
<#elseif ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>
import org.springframework.boot.web.servlet.ErrorPage;
import org.springframework.boot.web.servlet.ErrorPageRegistrar;
import org.springframework.boot.web.servlet.ErrorPageRegistry;
</#if>
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.boot.web.servlet.ServletListenerRegistrationBean;
import org.springframework.boot.web.servlet.ServletRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;


@Configuration
public class ${item.getPKGCodeName()}WebConf {

<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>
	@Value("${r'${server.servlet.contextPath:}'}")
	String strContextPath;
<#elseif ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>
	@Value("${r'${server.contextPath:}'}")
	String strContextPath;
</#if>

	@Value("${r'${ibiz.authFilter:false}'}")
	String strAuthFilter;

	@Value("${r'${ibiz.filePath:}'}")
	String strFilePath;

	@Value("${r'${ibiz.tempPath:}'}")
	String strTempPath;

	@Value("${r'${ibiz.printPath:}'}")
	String strPrintPath;

	@Value("${r'${ibiz.reportPath:}'}")
	String strReportPath;
	
	@Value("${'$'}{ibiz.app.${item.getPKGCodeName()?lower_case}url:}")
	String str${item.getPKGCodeName()}Url;

<#if item.isEnableUACLogin()>
	@Value("${r'${ibiz.cas.serverUrl:}'}")
	String strCasServerUrl;

	@Value("${r'${ibiz.cas.serverName:}'}")
	String strServerName;

	@Value("${r'${ibiz.cas.logoutUrl:}'}")
	String strCasLogoutUrl;
</#if>

<#if sys.isEnableDynaSys()??>
	@Value("${r'${ibiz.dynaSysInstId:defaultinst}'}")
	String strDynaSysInstId;
</#if>
	@Bean
	public FilterRegistrationBean iBizSysFilter() {
		FilterRegistrationBean registration = new FilterRegistrationBean(new net.ibizsys.paas.web.WebFilter());
		Map<String, String> params = new HashMap<String, String>();
		params.put("WEBCONTEXT", "${pub.getPKGCodeName()}.srv.web.WebContext");
		params.put("AUTHFILTER", strAuthFilter);
		params.put("AUTHPATH", strContextPath + "/ibizutil/uaclogin.do");
		params.put("FILEPATH", strFilePath);
		params.put("TEMPPATH", strTempPath);
		params.put("APPURL_${item.getPKGCodeName()?upper_case}", str${item.getPKGCodeName()}Url);
<#if sys.isEnableDynaSys()??>
		params.put("DYNASYSINSTID", strDynaSysInstId);
</#if>
		registration.setInitParameters(params);
		registration.setName("iBizSysFilter");
		registration.addUrlPatterns("/*");
		return registration;
	}

	@Bean
	public ServletRegistrationBean remoteLoginServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.RemoteLoginServlet());
		registration.setName("remoteLoginServlet");
		registration.addUrlMappings("/api/login");
		return registration;
	}
<#if item.isEnableUACLogin()>
	@Bean
	public ServletListenerRegistrationBean casSignOutRegistration() {
		ServletListenerRegistrationBean registration = new ServletListenerRegistrationBean(new org.jasig.cas.client.session.SingleSignOutHttpSessionListener());
		return registration;
	}

	@Bean
	public FilterRegistrationBean casSingleSignOutFilter() {
		FilterRegistrationBean registration = new FilterRegistrationBean(new org.jasig.cas.client.session.SingleSignOutFilter());
		Map<String, String> params = new HashMap<String, String>();
		params.put("casServerUrlPrefix", strCasServerUrl);
		registration.setInitParameters(params);
		registration.setName("casSingleSignOutFilter");
		registration.addUrlPatterns("/*");
		return registration;
	}

	@Bean
	public FilterRegistrationBean casAuthenticationFilter() {
		FilterRegistrationBean registration = new FilterRegistrationBean(new org.jasig.cas.client.authentication.AuthenticationFilter());
		Map<String, String> params = new HashMap<String, String>();
		params.put("casServerLoginUrl", strCasServerUrl + "/login");
		params.put("serverName", strServerName);
		registration.setInitParameters(params);
		registration.setName("casAuthenticationFilter");
		registration.addUrlPatterns("/ibizutil/uaclogin.do");
		return registration;
	}

	@Bean
	public FilterRegistrationBean cas20ProxyReceivingTicketValidationFilter() {
		FilterRegistrationBean registration = new FilterRegistrationBean(new org.jasig.cas.client.validation.Cas20ProxyReceivingTicketValidationFilter());
		Map<String, String> params = new HashMap<String, String>();
		params.put("casServerUrlPrefix", strCasServerUrl);
		params.put("serverName", strServerName);
		registration.setInitParameters(params);
		registration.setName("cas20ProxyReceivingTicketValidationFilter");
		registration.addUrlPatterns("/ibizutil/uaclogin.do");
		return registration;
	}

	@Bean
	public ServletRegistrationBean uacLoginServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(<#if sys.getSaaSMode()==1>new net.ibizsys.ssuac.web.LoginServlet()<#else>new net.ibizsys.psuac.web.LoginServlet()</#if>);
		registration.setName("uacLoginServlet");
		registration.addUrlMappings("/ibizutil/uaclogin.do");
		return registration;
	}
<#else>
	@Bean
	public ServletRegistrationBean loginServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.LoginServlet());
		registration.setName("loginServlet");
		registration.addUrlMappings("/ibizutil/login.do");
		return registration;
	}
</#if>
	

	@Bean
	public ServletRegistrationBean initSystemEnvServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.InitSystemEnvServlet());
		registration.setName("initSystemEnvServlet");
		registration.addUrlMappings("/ibizutil/initsystemenv.do");
		return registration;
	}

	@Controller
	class ${item.getPKGCodeName()}Controller {
		@RequestMapping("/${item.getAppFolder()?lower_case}")
		public String index() {
			return "redirect:/${item.getAppFolder()?lower_case}/index.html";
		}
	}

	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}LoginRedirectServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.HttpRedirectServlet());
		Map<String , String> params = new HashMap<String , String>() ;
		params.put("REDIRECTURL", "<#if item.isEnableUACLogin()>/ibizutil/uaclogin.do<#else>/${item.getAppFolder()?lower_case}/ibizutil/login.html</#if>" ) ;
		registration.setInitParameters(params);
		registration.setName("${item.getPKGCodeName()}LoginRedirectServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/login2.html");
		return registration;
	}

	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}LoginServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.LoginServlet());
		registration.setName("${item.getPKGCodeName()}LoginServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/login.do");
		return registration;
	}



<#if item.isEnableUACLogin()>
	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}LogoutServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(<#if sys.getSaaSMode()==1>new net.ibizsys.ssuac.web.LogoutServlet()<#else>new net.ibizsys.psuac.web.LogoutServlet()</#if>);
		Map<String , String> params = new HashMap<String , String>() ;
		params.put("SERVERNAME", strServerName);
		params.put("LOGOUTURL", strCasLogoutUrl);
		params.put("LOGOUTURLWITHRU", strCasLogoutUrl+"?service=");
		registration.setInitParameters(params);
		registration.setName("${item.getPKGCodeName()}LogoutServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/logout");
		return registration;
	}
<#else>
	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}LogoutServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.LogoutServlet());
		Map<String , String> params = new HashMap<String , String>() ;
		params.put("APPLICATIONID", "${pub.getPKGCodeName()}.${item.getAppFolder()?lower_case}.${item.getPKGCodeName()}AppModel" ) ;
		registration.setInitParameters(params);
		registration.setName("${item.getPKGCodeName()}LogoutServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/logout");
		return registration;
	}
</#if>

	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}InitSystemEnvServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.InitSystemEnvServlet());
		registration.setName("${item.getPKGCodeName()}InitSystemEnvServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/initsystemenv.do");
		return registration;
	}

	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}InstallRTDataServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.InstallRTDataServlet());
		registration.setName("${item.getPKGCodeName()}InstallRTDataServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/installrtdata.do");
		return registration;
	}
		
		
	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}ExportExcelServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.ExportExcelServlet());
		registration.setName("${item.getPKGCodeName()}ExportExcelServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/exportexcel");
		registration.setLoadOnStartup(1);
		return registration;
	}

	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}ExportFileServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.ExportFileServlet());
		registration.setName("${item.getPKGCodeName()}ExportFileServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/exportfile");
		registration.setLoadOnStartup(1);
		return registration;
	}

	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}ExportFile2Servlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.ExportFile2Servlet());
		registration.setName("${item.getPKGCodeName()}ExportFile2Servlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/exportfile2");
		registration.setLoadOnStartup(1);
		return registration;
	}
	
	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}ExportFile3Servlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.ExportFile3Servlet());
		registration.setName("${item.getPKGCodeName()}ExportFile3Servlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/exportfile3");
		registration.setLoadOnStartup(1);
		return registration;
	}

	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}UploadDEDataSaveServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.UploadDEDataSaveServlet());
		registration.setName("${item.getPKGCodeName()}UploadDEDataSaveServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/uploaddedata.do");
		registration.setLoadOnStartup(1);
		return registration;
	}

	@Bean
	public ServletRegistrationBean ${item.getPKGCodeName()}UploadFileSaveServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.UploadFileSaveServlet());
		registration.setName("${item.getPKGCodeName()}UploadFileSaveServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/uploadfile.do");
		registration.setLoadOnStartup(1);
		return registration;
	}

	@Bean 
	public ServletRegistrationBean ${item.getPKGCodeName()}PDFPrintServlet() { 
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.PrintServlet()); 
		Map<String , String> params = new HashMap<String , String>() ; 
		params.put("CONTENTTYPE", "PDF" ) ;
		params.put("FILEFOLDER",strPrintPath ) ;
		registration.setInitParameters(params);
		registration.setName("${item.getPKGCodeName()}PDFPrintServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/print.pdf"); 
		registration.setLoadOnStartup(1);
		return registration;
	  }

	@Bean 
	public ServletRegistrationBean ${item.getPKGCodeName()}PDFReportServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.paas.web.util.ReportServlet()); 
		Map<String , String> params = new HashMap<String , String>() ; 
		params.put("CONTENTTYPE", "PDF" ) ;
		params.put("FILEFOLDER",strReportPath ) ;
		registration.setInitParameters(params);
		registration.setName("${item.getPKGCodeName()}PDFReportServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/report.pdf"); 
		registration.setLoadOnStartup(1);
		return registration; 
	}

	<#if sys.hasPSWFEngineType("ACTIVITI")>
	@Bean 
	public ServletRegistrationBean ${item.getPKGCodeName()}WFActivitiTraceChartServlet() {
		ServletRegistrationBean registration = new ServletRegistrationBean(new net.ibizsys.<#if sys.getSaaSMode()==1>sswf<#else>pswf</#if>.web.util.WFActivitiTraceChartServlet()); 
		registration.setName("${item.getPKGCodeName()}WFActivitiTraceChartServlet");
		registration.addUrlMappings("/${item.getAppFolder()?lower_case}/ibizutil/wfactivititracechart.do"); 
		registration.setLoadOnStartup(1);
		return registration; 
	}
	</#if>
        @Component
	public class ErrorPageConfig implements ErrorPageRegistrar {


	    @Override
	    public void registerErrorPages(ErrorPageRegistry errorPageRegistry) {
	        ErrorPage e401= new ErrorPage(HttpStatus.UNAUTHORIZED, "/ibizutil/401.html");
	        ErrorPage e404 = new ErrorPage(HttpStatus.NOT_FOUND, "/ibizutil/404.html");
	        ErrorPage e500 = new ErrorPage(HttpStatus.INTERNAL_SERVER_ERROR, "/ibizutil/500.html");


	        errorPageRegistry.addErrorPages(e401, e404, e500);
	    }

	}

}
