<#ibiztemplate>
FILENAME=application-api${item.getName()?lower_case}.yml
PUBOBJ=SysMSDepAPISpringBootConfig
MODELS=PSSYSTEM
</#ibiztemplate>
server:
  port: ${item.getHttpPort()?c}
<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>
  servlet:
    contextPath: /${pub.getCodeName()}
<#elseif (sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE")=='1.5.13.RELEASE')>
  contextPath: /${pub.getCodeName()}
</#if>

${item.getPSSysServiceAPI().codeName?lower_case}:
  oauth2:
    client:
      accessTokenUri: ${item.getPSSysServiceAPI().getAuthCheckTokenUrl()}
      clientId: ${item.getPSSysServiceAPI().getAuthClientId()}
      clientSecret: ${item.getPSSysServiceAPI().getAuthClientSecret()}
      grantType: ${item.getPSSysServiceAPI().getAuthMode()?lower_case}

spring:
  application:
    name: ${item.getPSSysServiceAPI().getServiceCodeName()}
<#if item.getPSDCMSPlatform()??>
<#assign msplatform = item.getPSDCMSPlatform()>
<#if msplatform??>
<#assign servicecenter = msplatform.getPSDCMSPlatformFunc("SERVICECENTER")>
</#if>
<#if servicecenter??>

eureka:
  host:
    name: ${servicecenter.getRemoteAddress()}
  client:
    enabled: false
    serviceUrl:
      defaultZone: ${servicecenter.getServiceUrl()}
  instance:
#    instance-id: ${r'${spring.cloud.client.ip-address}:${spring.application.instance_id:${server.port}}${server.servlet.contextPath}'}
    statusPageUrlPath: ${r'${'}<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>server.servlet.contextPath<#elseif ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>server.contextPath</#if>${r'}'}/info
    healthCheckUrlPath: ${r'${'}<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>server.servlet.contextPath<#elseif ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>server.contextPath</#if>${r'}'}/health
    prefer-ip-address: true
    healthcheck:
      enable: true

<#else>
# aaaaaa
</#if>
</#if>
management:
  endpoints:
    web:
      exposure:
        include: loggers

ribbon:
  ReadTimeout: 60000
  ConnectTimeout: 60000

feign:
  hystrix:
    enabled: true

hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 60000
          #这里将线程策略设置为SEMAPHORE
          strategy: SEMAPHORE

ibiz:
  authFilter: false
  filePath: ${item.getPSDCMSPlatformNode().getWorkshopPath()}/${item.getId()}/SRFEX_FILE/
  tempPath: ${item.getPSDCMSPlatformNode().getWorkshopPath()}/${item.getId()}/SRFEX_TEMP/
  installDBModels: <#list item.getPSSysServiceAPI().getPSSystem().getAllPSSubSysRefs() as psSubSys><#if (psSubSys.id=='IBZ5BASE')>PSRUNTIME;</#if></#list>${item.getPSSysServiceAPI().getPSSystem().getCodeName()}
<#if sys.isEnableDynaSys()??>
  dynaSysInstId: defaultinst
</#if>
  cas:
    serverUrl: https://passport.ibiz5.com/cas
    redirectUrl: http://${item.getPSDCMSPlatformNode().getSSHIPAddr()}:${item.getHttpPort()?c}
<#if sys.getAllPSSubSysServiceAPIs()??>
  client:
<#list sys.getAllPSSubSysServiceAPIs() as subSysServiceAPI>
    ${subSysServiceAPI.getCodeName()?lower_case}:
      service: ${subSysServiceAPI.getServiceCodeName()?lower_case}
      url:
</#list>
</#if>

<#if item.getPSDBDevInst()??>
<#assign dbinst = item.getPSDBDevInst()>
datasource:
  c3p0:
    jdbcUrl: ${dbinst.getConnUrl()}
    user: ${dbinst.getUserName()}
    password: '${dbinst.getPassword()}'
    driverClass: <#if (dbinst.getDBType()=='MYSQL5')>com.mysql.jdbc.Driver<#elseif (dbinst.getDBType()=='DB2')>com.ibm.db2.jcc.DB2Driver<#elseif (dbinst.getDBType()=='ORACLE')>oracle.jdbc.driver.OracleDriver<#elseif (dbinst.getDBType()=='SQLSERVER')>com.microsoft.sqlserver.jdbc.SQLServerDriver<#elseif (dbinst.getDBType()=='POSTGRESQL')>org.postgresql.Driver<#elseif (dbinst.getDBType()=='PPAS')>com.edb.Driver</#if>
    maxPoolSize: 100
    minPoolSize: 10
    initialPoolSize: 20
    maxIdleTime: 600
    acquireIncrement: 5
    maxStatements: 5
    idleConnectionTestPeriod: 60
    ibzDialect: <#if ( dbinst.getDBType() == 'DB2')>net.ibizsys.paas.db.impl.DB2DialectImpl<#elseif ( dbinst.getDBType() == 'MYSQL5')>net.ibizsys.paas.db.impl.MySQL5DialectImpl<#elseif ( dbinst.getDBType() == 'ORACLE')>net.ibizsys.paas.db.impl.OracleDialectImpl<#elseif ( dbinst.getDBType() == 'SQLSERVER')>net.ibizsys.paas.db.impl.MSSQLDialectImpl<#elseif ( dbinst.getDBType() == 'POSTGRESQL')>net.ibizsys.paas.db.impl.PostgreSQLDialectImpl<#elseif ( dbinst.getDBType() == 'PPAS')>net.ibizsys.paas.db.impl.PPASDialectImpl</#if>

hibernate:
  dialect: <#if ( dbinst.getDBType() == 'DB2')>org.hibernate.dialect.DB2Dialect<#elseif ( dbinst.getDBType() == 'MYSQL5')>org.hibernate.dialect.MySQL5Dialect<#elseif ( dbinst.getDBType() == 'ORACLE')> org.hibernate.dialect.Oracle10gDialect<#elseif ( dbinst.getDBType() == 'SQLSERVER')>org.hibernate.dialect.SQLServer2008Dialect<#elseif ( dbinst.getDBType() == 'POSTGRESQL')>org.hibernate.dialect.PostgreSQL9Dialect<#elseif ( dbinst.getDBType() == 'PPAS')>org.hibernate.dialect.PostgreSQL9Dialect</#if>
  ddl_auto: create-drop
  show_sql: true
  current_session_context_class: org.springframework.orm.hibernate5.SpringSessionContext
</#if>
