<#ibiztemplate>
FILENAME=${item.codeName}ResourceServerConfigBase.java
PUBOBJ=SysAPICode
MODELS=PSSYSSERVICEAPI
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
%ITEM%=${item.codeName?lower_case}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.api.${item.codeName?lower_case};

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configurers.HeadersConfigurer;
import org.springframework.security.oauth2.config.annotation.web.configuration.EnableResourceServer;
import org.springframework.security.oauth2.config.annotation.web.configuration.ResourceServerConfigurerAdapter;
import org.springframework.security.oauth2.config.annotation.web.configurers.ResourceServerSecurityConfigurer;
import org.springframework.security.oauth2.provider.token.RemoteTokenServices;

@Configuration
@EnableResourceServer
public class ${item.codeName}ResourceServerConfigBase extends ResourceServerConfigurerAdapter {

	@Override
	public void configure(HttpSecurity http) throws Exception {
		http.removeConfigurer(HeadersConfigurer.class) ;
		<#if ( item.getAuthMode() == '')>
		http.requestMatchers().anyRequest().and().anonymous()
			.and().authorizeRequests()
			.antMatchers("/api/${item.codeName?lower_case}/**").anonymous();
		<#elseif ( item.getAuthMode() == 'NONE')>
		http.requestMatchers().anyRequest().and().anonymous()
			.and().authorizeRequests()
			.antMatchers("/api/${item.codeName?lower_case}/**").anonymous();
		<#else>
		http.requestMatchers().anyRequest().and().anonymous()
			.and().authorizeRequests()
			.antMatchers("/api/${item.codeName?lower_case}/**").authenticated();
		</#if>
		
	}
	
	@Value("${r'${'}${item.codeName?lower_case}.oauth2.resource.tokenInfoUri:${item.getAuthCheckTokenUrl()}}")
	private String tokenInfoUri;
	@Value("${r'${'}${item.codeName?lower_case}.oauth2.client.clientId:${item.getAuthClientId()}}")
	private String clientId;
	@Value("${r'${'}${item.codeName?lower_case}.oauth2.client.clientSecret:${item.getAuthClientSecret()}}")
	private String clientSecret;
	
	@Override
	public void configure(ResourceServerSecurityConfigurer resources) throws Exception {
		// TODO Auto-generated method stub
		super.configure(resources);
		RemoteTokenServices remoteTokenServices = new RemoteTokenServices();
		remoteTokenServices.setCheckTokenEndpointUrl(tokenInfoUri);
		remoteTokenServices.setClientId(clientId);
		remoteTokenServices.setClientSecret(clientSecret);
		resources.tokenServices(remoteTokenServices);
	}

}