<#ibiztemplate>
FILENAME=${item.codeName}APIClientHystrixBase.java
PUBOBJ=SubSysAPICode
MODELS=PSSUBSYSSERVICEAPI
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.srv.api;

import feign.FeignException;
import feign.hystrix.FallbackFactory;
import net.sf.json.JSONObject;

<#if item.getAPIType() == 'RESTFUL'>
public abstract class ${item.codeName}APIClientHystrixBase implements FallbackFactory<${item.codeName}APIClientRemoteService>  {

	@Override
	public ${item.codeName}APIClientRemoteService create(Throwable cause) {
		JSONObject jo = new JSONObject();
		jo.put("ret",	 1) ;
		if(cause instanceof FeignException) {
			FeignException ex = (FeignException)cause ;
			jo.put("error", "[${item.getName()}]异常。错误状态：" + ex.status()+"."+cause.getMessage());
		}else{
			jo.put("error", "[${item.getName()}]异常。错误：" + cause.getMessage());
		}
		
		return new ${item.codeName}APIClientRemoteService() {
		<#assign apiurl = item.getServiceParam()>
		<#if item.getPSSubSysServiceAPIMethods()??>   
		<#list item.getPSSubSysServiceAPIMethods() as action>
		<#assign restapi=action.getPSRESTfulAPI()>
		<#if restapi.getActionType()=="FETCH">
			@Override
			public String fetch${action.name}${action.getPSDECodeName()}(String strBody){
				return jo.toString();
			}
		<#elseif restapi.getActionType()=="FETCHTEMP">
			@Override
			public String fetchTemp${action.name}${action.getPSDECodeName()}(String strBody){
				return jo.toString();
			}
		<#else>
			@Override
			public String ${srfmethodname('${action.name}')}${action.getPSDECodeName()}(<#if action.name == "GetDraft" > <#elseif restapi.getRequestMethod()=="GET" || restapi.getRequestMethod()=="DELETE">String strKey<#else>String strBody</#if>){
				return jo.toString();
			}
		</#if>
		</#list>
		</#if>     
		};
	}
}
</#if>