<#ibiztemplate>
FILENAME=${item.codeName}APIClientRemoteServiceCfg.java
PUBOBJ=SubSysAPICode
MODELS=PSSUBSYSSERVICEAPI
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.srv.api;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.security.oauth2.client.feign.OAuth2FeignRequestInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.security.oauth2.client.OAuth2ClientContext;
import org.springframework.security.oauth2.client.resource.OAuth2ProtectedResourceDetails;
import org.springframework.security.oauth2.client.token.grant.client.ClientCredentialsResourceDetails;
import org.springframework.security.oauth2.client.token.grant.code.AuthorizationCodeResourceDetails;
import org.springframework.security.oauth2.client.token.grant.implicit.ImplicitResourceDetails;
import org.springframework.security.oauth2.client.token.grant.password.ResourceOwnerPasswordResourceDetails;
import org.springframework.stereotype.Component;
import org.springframework.security.oauth2.client.DefaultOAuth2ClientContext;
import org.springframework.security.oauth2.client.token.DefaultAccessTokenRequest;
import feign.RequestInterceptor;
import net.ibizsys.<#if sys.getSaaSMode()==1>saas<#else>paas</#if>.api.RestServiceAPIClientModelBase;
import net.ibizsys.paas.sysmodel.ISystemModel;
import net.ibizsys.paas.sysmodel.SysModelGlobal;
import ${pub.getPKGCodeName()}.srv.${sys.codeName}SysModel;

public class ${item.codeName}APIClientRemoteServiceCfg{

<#if sys.getSaaSMode()==1>
    @Bean
    public RequestInterceptor requestInterceptor() {
        return requestTemplate -> {
        	requestTemplate.header(RestServiceAPIClientModelBase.MODULEID, get${sys.codeName}SysModel().getModuleId()) ;
        };
    }
</#if>

<#if ( item.getAuthMode() == '')>
<#elseif ( item.getAuthMode() == 'NONE')>
<#else>
	@Value("${r'${'}${item.getServiceCodeName()?lower_case}.oauth2.client.accessTokenUri:${item.getAuthAccessTokenUrl()}}")
	private String tokenUrl;
	@Value("${r'${'}${item.getServiceCodeName()?lower_case}.oauth2.client.clientId:${item.getAuthClientId()}}")
	private String clientId;
	@Value("${r'${'}${item.getServiceCodeName()?lower_case}.oauth2.client.clientSecret:${item.getAuthClientSecret()}}")
	private String clientSecret;
	@Value("${r'${'}${item.getServiceCodeName()?lower_case}.oauth2.client.grantType:${item.getAuthMode()?lower_case}}")
	private String grantType;
	
	@Value("${r'${security.oauth2.client.username:'}}")
	private String username;
	@Value("${r'${security.oauth2.client.password:'}}")
	private String password;


	@Bean
	public DefaultOAuth2ClientContext oauth2ClientContext() {
		return new DefaultOAuth2ClientContext(new DefaultAccessTokenRequest());
	}
	
	@Bean
	public RequestInterceptor oauth2FeignRequestInterceptor(OAuth2ClientContext oauth2ClientContext) {
		return new OAuth2FeignRequestInterceptor(oauth2ClientContext, resource());
	}

	@Bean
	protected OAuth2ProtectedResourceDetails resource() {
		<#if ( item.getAuthMode() == 'AUTHORIZATION_CODE')>
		AuthorizationCodeResourceDetails resource = new AuthorizationCodeResourceDetails() ;
		<#elseif ( item.getAuthMode() == 'PASSWORD')>
		ResourceOwnerPasswordResourceDetails resource = new ResourceOwnerPasswordResourceDetails();
		<#elseif ( item.getAuthMode() == 'CLIENT_CREDENTIALS')>
		ClientCredentialsResourceDetails resource = new ClientCredentialsResourceDetails() ;
		<#elseif ( item.getAuthMode() == 'IMPLICIT')>
		ImplicitResourceDetails resource = new ImplicitResourceDetails() ;
		</#if>
	    resource.setAccessTokenUri(tokenUrl);
	    resource.setClientId(clientId);       
	    resource.setClientSecret(clientSecret);
	    return resource;
	}
	
	
</#if>

    private ${sys.codeName}SysModel ${srfparamname('${sys.codeName}')}SysModel;
    
    public  ${sys.codeName}SysModel get${sys.codeName}SysModel() {
           if(this.${srfparamname('${sys.codeName}')}SysModel==null)
           {
               try
                {
                      this.${srfparamname('${sys.codeName}')}SysModel = (${sys.codeName}SysModel)SysModelGlobal.getSystem("${pub.getPKGCodeName()}.srv.${sys.codeName}SysModel");
                }
                catch(Exception ex)
                {
                }
           }       
           return this.${srfparamname('${sys.codeName}')}SysModel;
      }


       public  ISystemModel getSystemModel() {
        return this.get${sys.codeName}SysModel();
    }
	
}