<#ibiztemplate>
FILENAME=${item.codeName}APIClientRemoteService.java
PUBOBJ=SubSysAPICode
MODELS=PSSUBSYSSERVICEAPI
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.srv.api;


<#if ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '2.0.1.RELEASE')>
import org.springframework.cloud.openfeign.FeignClient;
<#elseif ( sfstyle.getStyleParam("springboot.version","2.0.1.RELEASE") == '1.5.13.RELEASE')>
import org.springframework.cloud.netflix.feign.FeignClient;
</#if>
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

//@FeignClient(value = "${item.getServiceCodeName()}",fallbackFactory=${item.codeName}APIClientHystrix.class,configuration=${item.codeName}APIClientRemoteServiceCfg.class)
<#if item.getAPIType() == 'RESTFUL'>
public interface ${item.codeName}APIClientRemoteService  {
<#assign apiurl = item.getServiceParam()>
<#if item.getPSSubSysServiceAPIMethods()??>   
<#list item.getPSSubSysServiceAPIMethods() as action>
<#assign restapi=action.getPSRESTfulAPI()>
<#if restapi.getActionType()=="FETCH">
	
	@RequestMapping(value = "${apiurl}${restapi.getRequestPath()}", method = RequestMethod.${restapi.getRequestMethod()})
	String fetch${action.name}${action.getPSDECodeName()}(@RequestBody final String strBody);

<#elseif restapi.getActionType()=="FETCHTEMP">
	
	@RequestMapping(value = "${apiurl}${restapi.getRequestPath()}", method = RequestMethod.${restapi.getRequestMethod()})
	String fetchTemp${action.name}${action.getPSDECodeName()}(@RequestBody final String strBody);

<#else>
	
	@RequestMapping(value = "${apiurl}${restapi.getRequestPath()}<#if (restapi.getRequestMethod()=="GET" && action.name != "GetDraft") || restapi.getRequestMethod()=="DELETE">/{srfkey}</#if>", method = RequestMethod.${restapi.getRequestMethod()})
	String ${srfmethodname('${action.name}')}${action.getPSDECodeName()}(<#if action.name == "GetDraft" > <#elseif restapi.getRequestMethod()=="GET" || restapi.getRequestMethod()=="DELETE">@PathVariable("srfkey") final String strKey<#else>@RequestBody final String strBody</#if>);

</#if>
</#list>
</#if>     
}
</#if>